com.genesyslab.wfm8.API.service.config852

## Class CfgMeetingFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgMeetingFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgMeetingFilter
      extends java.lang.Object
      implements java.io.Serializable

  Meeting request filter definition
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmBUId`
    `protected int` | `wmBUIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmExceptionTypeId`
    `protected int` | `wmExceptionTypeIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmMeetingId`
    `protected int` | `wmMeetingIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgMeetingFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmExceptionTypeId()` Gets the value of the wmExceptionTypeId property.
    `int` | `getWmExceptionTypeIdNSizeIs()` Gets the value of the wmExceptionTypeIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmMeetingId()` Gets the value of the wmMeetingId property.
    `int` | `getWmMeetingIdNSizeIs()` Gets the value of the wmMeetingIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `hashCode()`
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmExceptionTypeId(java.util.List<java.lang.Integer> wmExceptionTypeId)` Sets the value of the wmExceptionTypeId property.
    `void` | `setWmExceptionTypeIdNSizeIs(int value)` Sets the value of the wmExceptionTypeIdNSizeIs property.
    `void` | `setWmMeetingId(java.util.List<java.lang.Integer> wmMeetingId)` Sets the value of the wmMeetingId property.
    `void` | `setWmMeetingIdNSizeIs(int value)` Sets the value of the wmMeetingIdNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgMeetingFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeetingFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgMeetingFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgMeetingFilter` | `withWmExceptionTypeId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeetingFilter` | `withWmExceptionTypeId(java.lang.Integer... values)`
    `CfgMeetingFilter` | `withWmExceptionTypeIdNSizeIs(int value)`
    `CfgMeetingFilter` | `withWmMeetingId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeetingFilter` | `withWmMeetingId(java.lang.Integer... values)`
    `CfgMeetingFilter` | `withWmMeetingIdNSizeIs(int value)`
    `CfgMeetingFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgMeetingFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgMeetingFilter` | `withWmSiteIdNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmMeetingIdNSizeIs

          protected int wmMeetingIdNSizeIs

    - #### wmMeetingId

          protected java.util.List<java.lang.Integer> wmMeetingId

    - #### wmExceptionTypeIdNSizeIs

          protected int wmExceptionTypeIdNSizeIs

    - #### wmExceptionTypeId

          protected java.util.List<java.lang.Integer> wmExceptionTypeId

  - ### Constructor Detail

    - #### CfgMeetingFilter

          public CfgMeetingFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmMeetingIdNSizeIs

          public int getWmMeetingIdNSizeIs()

      Gets the value of the wmMeetingIdNSizeIs property.

    - #### setWmMeetingIdNSizeIs

          public void setWmMeetingIdNSizeIs(int value)

      Sets the value of the wmMeetingIdNSizeIs property.

    - #### getWmMeetingId

          public java.util.List<java.lang.Integer> getWmMeetingId()

      Gets the value of the wmMeetingId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmMeetingId property.

      For example, to add a new item, do as follows:

              getWmMeetingId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmExceptionTypeIdNSizeIs

          public int getWmExceptionTypeIdNSizeIs()

      Gets the value of the wmExceptionTypeIdNSizeIs property.

    - #### setWmExceptionTypeIdNSizeIs

          public void setWmExceptionTypeIdNSizeIs(int value)

      Sets the value of the wmExceptionTypeIdNSizeIs property.

    - #### getWmExceptionTypeId

          public java.util.List<java.lang.Integer> getWmExceptionTypeId()

      Gets the value of the wmExceptionTypeId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmExceptionTypeId property.

      For example, to add a new item, do as follows:

              getWmExceptionTypeId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withWmBUIdNSizeIs

          public CfgMeetingFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgMeetingFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgMeetingFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgMeetingFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgMeetingFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgMeetingFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmMeetingIdNSizeIs

          public CfgMeetingFilter withWmMeetingIdNSizeIs(int value)

    - #### withWmMeetingId

          public CfgMeetingFilter withWmMeetingId(java.lang.Integer... values)

    - #### withWmMeetingId

          public CfgMeetingFilter withWmMeetingId(java.util.Collection<java.lang.Integer> values)

    - #### withWmExceptionTypeIdNSizeIs

          public CfgMeetingFilter withWmExceptionTypeIdNSizeIs(int value)

    - #### withWmExceptionTypeId

          public CfgMeetingFilter withWmExceptionTypeId(java.lang.Integer... values)

    - #### withWmExceptionTypeId

          public CfgMeetingFilter withWmExceptionTypeId(java.util.Collection<java.lang.Integer> values)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmMeetingId

          public void setWmMeetingId(java.util.List<java.lang.Integer> wmMeetingId)

      Sets the value of the wmMeetingId property.
      Parameters:
        `wmMeetingId` - allowed object is `Integer`

    - #### setWmExceptionTypeId

          public void setWmExceptionTypeId(java.util.List<java.lang.Integer> wmExceptionTypeId)

      Sets the value of the wmExceptionTypeId property.
      Parameters:
        `wmExceptionTypeId` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.